
package org.objectweb.fractal.cecilia.adl.interfaces;

import java.util.List;
import java.util.Map;

import org.objectweb.fractal.adl.ComponentVisitor;
import org.objectweb.fractal.adl.Node;
import org.objectweb.fractal.adl.components.ComponentContainer;
import org.objectweb.fractal.api.Component;
import org.objectweb.fractal.task.core.AbstractTaskFactoryUser;

/**
 * Visitor component that builds the instantiation of the binding controller
 * data structure of the component for <code>ThinkMC</code> dialect.
 */
public class emptyVisitor extends AbstractTaskFactoryUser
    implements
      ComponentVisitor {

  public Component visit(final List<Node> path,
      final ComponentContainer container, final Map<Object, Object> context) {
    return null;
  }

}
